var ControleDeAcesso = function(json) {
    this.mapper = mapperFactory.createMapperMult(["RcCli"]);
    this.dados = json;
};


ControleDeAcesso.prototype.getPerfil = function(){


this.dados.put('cgcCpf', this.dados.get('login'));
var usuario = this.mapper.selectOne("RcCli.loginWebConvenio", this.dados);

if(usuario === null){

	this.dados.remove('cgcCpf');
	this.dados.put('nrCartao', this.dados.get('login'));
	usuario = this.mapper.selectOne("RcCli.loginWebConvenio", this.dados);

		if(usuario === null){
			this.dados.remove('cgcCpf');
			this.dados.put('email', this.dados.get('login'));
			usuario = this.mapper.selectOne("RcCli.loginWebConvenio", this.dados);
		}
}

if(usuario !== null && this.dados.get("isFidelidade") == 1){//FIDELIDADE
	usuario.put("rule", "fidelidade");
	usuario.put("cdCtr", 1);

}else if(usuario !== null && parseInt(usuario.get("administrador")) === 1 && parseInt(usuario.get("tpUsu")) === 1){//ADM. CONVENIADO
	usuario.put("rule", "administrador");
	usuario.put("cdCtr", 3);

}else if(usuario !== null){//CONVENIADO
  usuario.put("rule", "conveniado");
  usuario.put("cdCtr", 2);

}else{
	usuario.put("rule", "");
	usuario.put("cdCtr", 0);
}

return {'usuario': usuario};

};
